Subject: Re: bug#51961: image-mode: advertize viewing an image as hex less eagerly

From: Juri Linkov <[email-masked]>
Date: Fri, 19 Nov 2021 10:25:15 +0200

> There is a minority of image types where it is obviously useful,
> i.e. XPM and similar formats where the image is actually just a plain
> text file.  I think we could consider keeping the message for those.

I agree that this message should be displayed only for modes
where `(major-mode-restore '(image-mode image-mode-as-text))'
in `image-mode-to-text' doesn't change mode to 'fundamental-mode'
or 'so-long-mode'.